LOCALEDEF(1)

NOM
localedef - Compiler des fichiers de définition de paramètres régionaux

SYNOPSIS
localedef [options] chemin_sortie
localedef --add-to-archive [options] chemin_binaires
localedef --delete-from-archive [options] nom_locale ...
localedef --list-archive [options]
localedef --help
localedef --usage
localedef --version

DESCRIPTION
Le programme localedef lit les fichiers table_caractères et entrée, les compile en une forme binaire qui peut être utilisée rapidement par les fonctions locales de la bibliothèque C (setlocale(3), localeconv(3), etc.), et place la sortie dans chemin_sortie.

L'argument chemin_sortie est interprété comme suit :

*   Si chemin_sortie contient une barre oblique (« / »), il est interprété comme étant le nom du répertoire où les définitions de sortie devront être stockées. Dans ce cas, il y aura un fichier de sortie distinct pour chaque catégorie (LC_CTIME, LC_NUMERIC, etc.) de paramètres régionaux (NdT : les paramètres régionaux sont aussi appelés localisation, ou « locale » en anglais).

*   Si l'option --no-archive est utilisée, chemin_sortie est le nom d'un sous répertoire de /usr/lib/locale où sont placés les fichiers compilés par catégorie.

*   Sinon, chemin_sortie est le nom de la localisation et les données compilées pour cette localisation sont ajoutées dans le fichier d'archive /usr/lib/locale/locale-archive. Une archive de localisation est un fichier mappé en mémoire qui contient tous les paramètres régionaux du système ; il est utilisé par tous les programmes comportant des paramètres régionaux quand la variable d'environnement LOCPATH n'est pas positionnée.

Dans tous les cas, localedef s'arrête si le répertoire dans lequel il essaie d'écrire le fichier de paramètres régionaux n'a pas été créé.

Si aucun fichier table_caractère n'est fourni, la valeur ANSI_X3.4-1968 (pour ASCII) est utilisée par défaut. Si aucun fichier entrée n'est fourni, ou si son nom est un tiret (« - »), localedef lira l'entrée standard.

OPTIONS

  Options de sélection de l'opération
Quelques options demandent à localedef de faire autre chose que compiler des définitions de paramètres régionaux. Une seule d’entre elles peut être utilisée à la fois.

--add-to-archive
    Ajouter les répertoires chemin_binaires au fichier d'archive des locales. Les répertoires doivent avoir été créés par des exécutions antérieures de localedef avec l'option --no-archive.

--delete-from-archive
    Supprimer la localisation indiquée du fichier d'archive.

--list-archive
    Lister les localisations contenues dans le fichier d'archive.

  Autres options
Certaines des options suivantes ne sont sensibles que lors de certaines opérations ; en général elles vont de soi. Notez que -f et -c font l'inverse de ce que vous pourriez penser ; -f n'est ainsi pas équivalente à --force.

-f fichier_table_caractères, --charmap=fichier_table_caractères
    Spécifier le fichier qui définit le jeu de caractères utilisé par le fichier d'entrée. Si fichier_table_caractères contient une barre oblique (« / »), il est interprété comme le nom de la table de caractères. Sinon, le fichier est recherché dans le répertoire actuel puis celui par défaut des tables de caractères. Si la variable I18NPATH est positionnée, $I18NPATH/charmaps/ et $I18NPATH/ font partie de la recherche après le répertoire actuel. Le répertoire par défaut des tables de caractères est affiché avec localedef --help.

-i fichier_entrée, --inputfile=fichier_entrée
    Spécifier le fichier de définition à compiler. Le fichier est recherché dans le répertoire actuel et dans celui par défaut contenant les fichiers de définition des paramètres régionaux. Si la variable I18NPATH est positionnée, la recherche inclut également $I18NPATH/locales/ et $I18NPATH après le répertoire courant. Le répertoire par défaut des fichiers de définition des paramètres régionaux est donné par localedef --help.

-u fichier_répertoire, --repertoire-map=fichier_répertoire
    Lire les associations entre les noms symboliques et les points de code Unicode à partir de fichier_répertoire. Si fichier_répertoire contient une barre oblique (« / »), il est interprété comme le chemin vers le jeu de caractère. Sinon, la recherche s'effectue dans le répertoire actuel et dans le répertoire par défaut des jeux de caractères. Si la variable d'environnement I18NPATH est positionnée, la recherche se fait également dans $I18NPATH/repertoiremaps/ et $I18NPATH. Le répertoire par défaut des jeux de caractère est affiché par localedef --help.

-A fichier_alias, --alias-file=fichier_alias
    Utiliser le fichier fichier_alias pour rechercher les alias des noms de locales. Il n'y a pas de fichier d'alias par défaut.

-c, --force
    Écrire les fichiers de sortie même si des avertissements ont été générés à propos des fichiers d'entrée.

-v, --verbose
    Générer des avertissements supplémentaires concernant les erreurs qui sont normalement ignorées.

--big-endian
    Générer une sortie en mode gros-boutiste.

--little-endian
    Générer une sortie en mode petit-boutiste.

--no-archive
    Ne pas utiliser le fichier d'archive, mais créer chemin_sortie comme un sous-répertoire du même répertoire que le fichier d'archive des paramètres régionaux, et y créer des fichiers séparés pour chaque catégorie. Cela permet d'empêcher les mises à jour des archives des paramètres régionaux du système d'écraser les paramètres régionaux personnalisés créés avec localedef.

--no-hard-links
    Ne pas créer de liens entre les localisations installées.

--no-warnings=avertissements
    Liste séparée par des virgules d'avertissements à désactiver. Les avertissements pris en charge sont ascii et intcurrsym.

--posix
    Se conformer strictement à POSIX. Cette option implique l'option --verbose. Cette option n'a actuellement aucun autre effet. La conformité avec POSIX est assurée si la variable d'environnement POSIXLY_CORRECT est définie.

--prefix=chemin
    Définir le préfixe à ajouter au chemin complet de l'archive. Par défaut, le préfixe est vide. En configurant le préfixe à toto, l'archive sera placée dans toto/usr/lib/locale/locale-archive.

--quiet
    Supprimer toutes les notifications et avertissements, et n'afficher que les erreurs fatales.

--replace
    Remplacer une locale dans le fichier d'archive des paramètres régionaux. Sans cette option, si la locale est déjà présente dans le fichier d'archive, une erreur surviendra.

--warnings=avertissements
    Liste séparée par des virgules d'avertissements à activer. Les avertissements pris en charge sont ascii et intcurrsym.

-?, --help
    Afficher un résumé pour l'utilisation et quitter. Afficher aussi les chemins par défaut utilisés par localedef.

--usage
    Afficher une brève description sur l'utilisation et quitter.

-V, --version
    Afficher le numéro de version, la licence, et un avertissement sur les conditions de garantie de localedef.

CODE DE RETOUR
Un des codes de retour suivants peut être renvoyé par localedef :

0   Commande terminée avec succès.

1   Des avertissements ou des erreurs se sont produits, les fichiers de sortie ont été générés.

4   Des erreurs ont été rencontrées, pas de fichier de sortie généré.

ENVIRONNEMENT

POSIXLY_CORRECT
    L'option --posix est supposée si cette variable d'environnement est définie.

I18NPATH
    Une liste de répertoires par défaut pour les fichiers de définition des paramètres régionaux, séparés par des deux-points.

FICHIERS

/usr/share/i18n/charmaps
    Chemin par défaut habituel des tables de jeu de caractères.

/usr/share/i18n/locales
    Chemin par défaut habituel des fichiers de définition de paramètres régionaux.

/usr/share/i18n/repertoiremaps
    Chemin par défaut des fichiers de jeu de caractères.

/usr/lib/locale/locale-archive
    Chemin habituel par défaut de l'archive des paramètres régionaux.

/usr/lib/locale
    Chemin par défaut habituel des fichiers de définition de paramètres régionaux.

chemin_sortie/LC_ADDRESS
    Un fichier de sortie qui contient les informations de formatage des adresses et des éléments géographiques.

chemin_sortie/LC_COLLATE
    Un fichier de sortie qui contient les informations sur les règles concernant les chaînes de comparaison.

chemin_sortie/LC_CTYPE
    Un fichier de sortie qui contient des informations sur les classes de caractères.

chemin_sortie/LC_IDENTIFICATION
    Un fichier de sortie qui contient les méta-informations sur la définition des paramètres régionaux.

chemin_sortie/LC_MEASUREMENT
    Un fichier de sortie qui contient les informations sur les unités de mesure régionales (système métrique vs système américain).

chemin_sortie/LC_MESSAGES/SYS_LC_MESSAGES
    Un des fichiers de sortie. Il contient les informations à propos de la langue dans laquelle les messages doivent être affichés, et à quoi les réponses affirmatives et négatives ressemblent.

chemin_sortie/LC_MONETARY
    Un fichier de sortie qui contient des informations sur le formatage des valeurs monétaires.

chemin_sortie/LC_NAME
    Un fichier de sortie qui contient les informations sur les formules de salutations des gens.

chemin_sortie/LC_NUMERIC
    Un fichier de sortie qui contient des informations sur le formatage des valeurs numériques non monétaires.

chemin_sortie/LC_PAPER
    Un fichier de sortie qui contient les informations sur les paramètres de la taille du papier.

chemin_sortie/LC_TELEPHONE
    Un fichier de sortie qui contient des informations sur le formatage à utiliser pour les opérateurs de téléphone.

chemin_sortie/LC_TIME
    Un fichier de sortie qui contient des informations sur le formatage de la date et de l'heure.

CONFORMITÉ
POSIX.1-2008.

EXEMPLES
Compiler les fichiers de paramètres régionaux pour le finnois dans le jeu de caractères UTF-8 et l'ajouter à l'archive par défaut des paramètres régionaux, avec le nom fi_FI.UTF-8 :

    localedef -f UTF-8 -i fi_FI fi_FI.UTF-8

L'exemple suivant fait la même chose mais il génère des fichiers dans le répertoire fi_FI.UTF-8 qui peuvent alors être utilisés par des programmes quand la variable d'environnement LOCPATH est positionnée sur le répertoire courant (remarquez que le dernier argument doit comporter une barre oblique) :

    localedef -f UTF-8 -i fi_FI ./fi_FI.UTF-8

VOIR AUSSI
locale(1), charmap(5), locale(5), repertoiremap(5), locale(7)

COLOPHON
Cette page fait partie de la publication 5.13 du projet man-pages Linux. Une description du projet et des instructions pour signaler des anomalies et la dernière version de cette page peuvent être trouvées à l'adresse https://www.kernel.org/doc/man-pages/.

TRADUCTION
La traduction française de cette page de manuel a été créée par Christophe Blaess <https://www.blaess.fr/christophe/>, Stéphan Rafin <stephan.rafin@laposte.net>, Thierry Vignaud <tvignaud@mandriva.com>, François Micaux, Alain Portal <aportal@univ-montp2.fr>, Jean-Philippe Guérard <fevrier@tigreraye.org>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Julien Cristau <jcristau@debian.org>, Thomas Huriaux <thomas.huriaux@gmail.com>, Nicolas François <nicolas.francois@centraliens.net>, Florentin Duneau <fduneau@gmail.com>, Simon Paillard <simon.paillard@resel.enst-bretagne.fr>, Denis Barbier <barbier@debian.org>, David Prévot <david@tilapin.org>, Thomas Blein <tblein@tblein.eu> et Jean-Philippe MENGUAL <jpmengual@debian.org> Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE. Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.